Hpricot

Hola, hola!!

Tengo un problema con hpricot.
He descargado hpricot y se ha colocado
en /usr/lib/ruby/gems/1.8/gems/hpricot-0.5 y si hago un script en ruby
me lo
encuentra con simplemente poner require ‘rubygems’ y require ‘hpricot’.
Sin
embargo, al intentar hacerlo en rails en un controlador me da
MissinSourceFileError y me dice ‘no such file to load’. Es como si no
encontrara el módulo.
¿qué puedo hacer?

jabberID: [email protected]
SIP: [email protected]
blog: http://llibertat.wordpress.com

– Les banderes no són més que draps de colors –

El Tuesday 08 May 2007 18:11:47 Hector Muñoz escribió:

He descargado hpricot y se ha colocado
en /usr/lib/ruby/gems/1.8/gems/hpricot-0.5 y si hago un script en ruby me
lo encuentra con simplemente poner require ‘rubygems’ y require ‘hpricot’.
Sin embargo, al intentar hacerlo en rails en un controlador me da
MissinSourceFileError y me dice ‘no such file to load’. Es como si no
encontrara el módulo.
¿qué puedo hacer?

prueba a cargar el módulo simplemente con:
gem ‘hpricot’

el require ‘rubygems’ no es necesario, ya lo carga rails al iniciar.

ciao

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs